<app-loading *ngIf="isLoading"></app-loading>
<div>
  <div class="search-container">
      <div nz-row class="search-container__row" nz-row [nzGutter]="16">
          <div nz-col nzSpan="6" class="search-container__row--col position-relative gutter-row">
              <mb-input-text mbPlaceholderText="{{'modelOrganization.reportEmployee.placeHolder.orgName' | translate }}"
                  mbType="default" mbLabelText="{{'modelOrganization.reportEmployee.orgName' | translate }}" (click)="showPopup()" [(ngModel)]="orgName"
                  [mbReadOnly]="true">
              </mb-input-text>
              <em *ngIf="orgName" nz-icon class="icon-style" (click)="clearOrgInput()"
                  nzType="close-circle" nzTheme="outline"></em>
          </div>
          <div nz-col nzSpan="6" class="search-container__row--col gutter-row">
              <mb-select [mbDataSelects]="listOrgGroups" mbKeyLabel="name" mbKeyValue="id"
                  mbLabelText="{{'modelOrganization.reportEmployee.orgGroup' | translate}}"
                  [mbOptionHeightPx]="55" [(ngModel)]="params.orgGroup">
              </mb-select>
          </div>
        <div nz-col nzSpan="6" class="search-container__row--col gutter-row mt-10">
          <mb-date-picker mbFormat="dd/MM/yyyy" mbLabelText="{{'modelOrganization.reportEmployee.fromDate' | translate}}"
                        mbPlaceholderText="{{'modelOrganization.reportEmployee.placeHolder.fromDate' | translate}}"
                          [(ngModel)]="fromDate"></mb-date-picker>
        </div>
        <div nz-col nzSpan="6" class="search-container__row--col gutter-row mt-10 center" style="padding-top: 1.7rem">
          <mb-button mbButtonType="BORDER" mbButtonSize="VERY_LARGE" (click)="exportExcel()">
            <img src="../../../../../assets/images/icon/excel.svg" alt="" />
          </mb-button>
        </div>
      </div>
    </div>
</div>
